/***************************************************************************
 *   Copyright (c) 2009  Peter Mylemans <peter.mylemans@gmail.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef SIDEBAR_H
#define SIDEBAR_H

#include <QWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QList>

class SideBarButton;

class SideBar : public QWidget
{
    Q_OBJECT
public:
    SideBar(QWidget *parent);
    ~SideBar();


    int addTab(const QString &text, QWidget *tabPanel);

    int activeTab();
    void hideActiveTab();
    void setActiveTab(int index);

signals:
    void collapsedChanged(bool collapsed);

protected slots:
    void sideBarButtonChecked(bool checked);

protected:
    void showTab(SideBarButton *button);

private:
    QHBoxLayout            *m_hlayout;
    QVBoxLayout            *m_vlayout;
    SideBarButton          *m_activeButton;
    QList<SideBarButton*>   m_buttons;
    QWidget                *m_emptyWidget;
};

#endif
