/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef COREIFACE_H
#define COREIFACE_H

class ElementNode;
 
struct ElementListenerInterface
{
  virtual void onElementInserted( ElementNode* ) = 0;
  virtual void onElementRemoved( ElementNode* ) = 0;
  virtual void onElementModified( ElementNode* ) = 0;
};

struct ElementDatabaseInterface
{
  virtual void addElementListener( ElementListenerInterface* ) = 0;
  virtual void removeElementListener( ElementListenerInterface* ) = 0;

//   virtual QElement* findElement( const QString& name )const = 0;
};

struct ElementSelectionListenerInterface
{
  virtual void onSelectionModified() = 0;
};

struct ElementSelectionInterface
{
  virtual void addElementSelectionListener( ElementSelectionListenerInterface* ) = 0;
  virtual void removeElementSelectionListener( ElementSelectionListenerInterface* ) = 0;
};


#endif
