/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "timelinetable.h"


TimelineTable::TimelineTable(int rows, int columns, QWidget *parent, const char *name)
    : QTable(rows, columns, parent, name)
{
  setHScrollBarMode(QScrollView::AlwaysOff);
  //setVScrollBarMode(QScrollView::AlwaysOff);
  setReadOnly(true);
  horizontalHeader()->hide();
  verticalHeader()->hide();
  setLeftMargin(0);
  setTopMargin(0);
  for(int i=0;i<columns;i++)
  {
    setColumnWidth(i,8);
  }
  for(int i=0;i<rows;i++)
  {
    setRowHeight(0,20);
  }
  setShowGrid(true);
  
  connect( this, SIGNAL(currentChanged(int,int)), SLOT(frameClicked(int,int)) );
}


TimelineTable::~TimelineTable()
{}

void TimelineTable::frameClicked(int row, int col)
{
  emit timeFrameClicked(col);
}
  
#include "timelinetable.moc"
