/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef VECTORELEMENT_H
#define VECTORELEMENT_H

#include "transformable.h"

class DocumentElement;
class KCanvasItem;
class VectorPath;
/**
Implementation of VectorElement
 
@author Hans Oischinger
*/
class VectorElement : public Transformable
{
  Q_OBJECT
public:
  VectorElement( const QString & name = "", State state = undefined );
  virtual ~VectorElement();
  VectorElement( const VectorElement& );

  VectorElement &operator=(const VectorElement &);
  virtual ElementNode *clone();

  virtual Element::Hit hits( const QPoint & );
  virtual QRect bbox( KCBBoxFlags flags = BBOX_DEFAULT ) const;
  virtual void accept( Visitor& );

  KCanvasItem* context() const { return m_context; }
  void setContext( KCanvasItem* context );

  virtual QString readAbleType();

  virtual Attribute* getAttrByName( const QString& name );

  VectorPath& vectorPath() const { return *m_vectorPath; }

protected:
  VectorPath* m_vectorPath;
  KCanvasItem *m_context;
};

#endif
