/***************************************************************************
 * trackeditviewbuilder.h: implementation of TrackEditViewBuilder class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKEDITVIEWBUILDER_H
#define TRACKEDITVIEWBUILDER_H

#include <header.h>

#include "songview.h"

class TrackEditView;

/**
	Build TrackViewer class with the correct TabTrack
*/
class SongView::TrackEditViewBuilder
{
public:
	TrackEditViewBuilder(TSE3::MidiScheduler* midiScheduler, KCommandHistory* commandHistory, const TabProperties& tabProperties);
	~TrackEditViewBuilder();
	
	TrackEditView* trackEditView(TabTrack* tabTrack);
private:
	TSE3::MidiScheduler* mMidiScheduler;
	KCommandHistory* mCommandHistory;
	const TabProperties& mTabProperties;
};

#endif
