/*
Copyright 2008  Nathan Bradshaw nathanlbradshaw@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) version 3, or any
later version accepted by the membership of KDE e.V. (or its
successor approved by the membership of KDE e.V.), which shall
act as a proxy defined in Section 6 of version 3 of the license.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef RESPONSEDATA_H
#define RESPONSEDATA_H

#include <QtCore/QObject>
#include <QtCore/QByteArray>


namespace ServiceModel { 

class ResponseDataPrivate;

class ResponseData : public QObject {
   Q_OBJECT
   
   public:
      ResponseData (QObject *parent = 0);
      virtual ~ResponseData();
      
      QByteArray& data ();
      
      void appendData(const QByteArray &data);
      
   protected:
      /** dynamic pointer for private class */
      ResponseDataPrivate * const d_ptr;
      
      ResponseData(ResponseDataPrivate &dd, QObject *parent);
      
   private:
      Q_DECLARE_PRIVATE(ResponseData)
      
};
} 
#endif //RESPONSEDATA_H
